# Bakery::View_Composite< T_Document > Class Template Reference

This View delegates to sub-views. More...

`#include <View_Composite.h>`

Inheritance diagram for Bakery::View_Composite< T_Document >:

[legend]

List of all members.

## Public Types

typedef View< T_Document > | type_view

## Public Member Functions

| View_Composite ()
virtual | ~View_Composite ()
virtual void | add_view (type_view *pView)
virtual void | remove_view (type_view *pView)
virtual void | set_document (T_Document *pDocument)
virtual void | load_from_document ()
virtual void | save_to_document ()

## Protected Types

typedef std::vector< type_view * > | type_vecViews

## Protected Attributes

type_vecViews | m_vecViews

## Detailed Description

### template<class T_Document>
class Bakery::View_Composite< T_Document >

This View delegates to sub-views.

It is very simplistic - maybe your View should be more intelligent.

## Member Typedef Documentation

template<class T_Document>

typedef View<T_Document> Bakery::View_Composite< T_Document >::type_view

template<class T_Document>

typedef std::vector<type_view*> Bakery::View_Composite< T_Document >::type_vecViews `[protected]`

## Constructor & Destructor Documentation

template<class T_Document>

Bakery::View_Composite< T_Document >::View_Composite | ( |  | ) | `[inline]`

template<class T_Document>

virtual Bakery::View_Composite< T_Document >::~View_Composite | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T_Document>

virtual void Bakery::View_Composite< T_Document >::add_view | ( | type_view * | pView | ) | `[inline, virtual]`

References Bakery::View_Composite< T_Document >::m_vecViews, and Bakery::View< T_Document >::set_document().

template<class T_Document>

virtual void Bakery::View_Composite< T_Document >::remove_view | ( | type_view * | pView | ) | `[inline, virtual]`

References Bakery::View_Composite< T_Document >::m_vecViews.

template<class T_Document>

virtual void Bakery::View_Composite< T_Document >::set_document | ( | T_Document * | pDocument | ) | `[inline, virtual]`

Reimplemented from Bakery::View< T_Document >.

References Bakery::View_Composite< T_Document >::m_vecViews, and Bakery::View< T_Document >::set_document().

template<class T_Document>

virtual void Bakery::View_Composite< T_Document >::load_from_document | ( |  | ) | `[inline, virtual]`

Reimplemented from Bakery::ViewBase.

References Bakery::ViewBase::load_from_document(), and Bakery::View_Composite< T_Document >::m_vecViews.

template<class T_Document>

virtual void Bakery::View_Composite< T_Document >::save_to_document | ( |  | ) | `[inline, virtual]`

Reimplemented from Bakery::ViewBase.

References Bakery::View_Composite< T_Document >::m_vecViews, and Bakery::ViewBase::save_to_document().

## Member Data Documentation

template<class T_Document>

type_vecViews Bakery::View_Composite< T_Document >::m_vecViews `[protected]`

Referenced by Bakery::View_Composite< T_Document >::add_view(), Bakery::View_Composite< T_Document >::load_from_document(), Bakery::View_Composite< T_Document >::remove_view(), Bakery::View_Composite< T_Document >::save_to_document(), and Bakery::View_Composite< T_Document >::set_document().

The documentation for this class was generated from the following file:

- View_Composite.h